<div align="center">

# **Hack Liberty Resources**
### ***VERITAS - LIBERTAS - SCIENTIA***

</div>

---

<div align="center">

## **About [Hack Liberty](https://hackliberty.org)**

</div>

We are a group of cypherpunks, privacy advocates, engineers, and philosophers dedicated to the pursuit of truth, liberty, and knowledge for all. We believe technology is a tool for liberation, not enslavement. We fight tyranny with encryption, decentralization, and anonymity. **[Join us](https://simplex.chat/contact#/?v=2-7&smp=smp%3A%2F%2FesPsfRFGZd2TRyKijJDorCMo3Ld-QD8Cq8ASx8qrY_Q%3D%40simplex.hackliberty.org%2F0XZlyIDKbEoLW0WfnPecTJzi_boCwyFq%23%2F%3Fv%3D1-3%26dh%3DMCowBQYDK2VuAyEA8LCHTUdVcA_pLHrNkLE_GEuh0QeuLyZuI-2m01Qe23k%253D%26srv%3Dgstc5w42xawazcr4txrcyhitmkhiyu2vkkwy2xhwovbhlapzrccjeyad.onion&data=%7B%22groupLinkId%22%3A%223Ypi4wDI0VhGvVDx7e6jAQ%3D%3D%22%7D)** in the fight for liberty.


---
<div align="center">

## **Hack Liberty Services**

[**[Terms of Service](https://git.hackliberty.org/hackliberty.org/hackliberty.org-legal/src/branch/main/terms-of-service.md) • [Code of Conduct](https://git.hackliberty.org/hackliberty.org/hackliberty.org-legal/src/branch/main/code-of-conduct.md) • [Privacy Policy](https://git.hackliberty.org/hackliberty.org/hackliberty.org-legal/src/branch/main/privacy-policy.md)**] 

</div>

All our services use open source software and are open to the public. We **[anonymize logs](https://www.supertechcrew.com/anonymizing-logs-nginx-apache/)** and use **[full disk encryption](https://gitlab.com/cryptsetup/cryptsetup)** to preserve user privacy when possible. Our hosting provider **[1984](http://1984.hosting/)** is located in **[Iceland](https://ctemplar.com/icelandic-privacy-laws/)** and supports human rights and free speech. 

- [Simplex](https://simplex.hackliberty.org) [[Tor](http://gstc5w42xawazcr4txrcyhitmkhiyu2vkkwy2xhwovbhlapzrccjeyad.onion/)] - the first messaging network operating without user identifiers of any kind - 100% private by design! 
- [Forum](https://forum.hackliberty.org) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/)] [[Archive](https://archive.forum.hackliberty.org/)] - discuss and advocate for the use of encryption, privacy technologies, and decentralized systems to promote freedom and protect digital rights
- [Darknet Lantern](https://lantern.hackliberty.org) [[Tor](http://hb6dzgsmzmu3dmiflhvhe5yreknxtjvvatodgsmunxqgdhyqcro7ztid.onion/)] - decentralised peer-to-peer darknet search engine
- [4get](https://4get.hackliberty.org) [[Tor](http://yorxfx5huderjzsotrgni5qy4brrtx6h73vf37tkmzemjtkya3atd7qd.onion/)] - a proxy search engine that doesn't suck
- [Redlib](https://redlib.hackliberty.org) [[Tor](http://6c7bggvbjy27jcv4ihlgikrexiqt5z7f4dos43ioe5gxfvjvughompad.onion/)] - a private front-end for Reddit 
- [Forgejo](https://git.hackliberty.org) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/)]- a painless self-hosted Git service
- [PrivateBin](https://paste.hackliberty.org) [[Tor](http://z2hx4persafjkxw3u23dly24tzzynvkzrp5r3zbh6jrjvd7c7qjsgvyd.onion/)]- a minimalist, open source online pastebin where the server has zero knowledge of pasted data. Data is encrypted and decrypted in the browser using 256bit AES in Galois Counter mode
- [OTS](https://ots.hackliberty.org) [[Tor](http://5bi7xhmcmji4gfuok5z4j4bgmif2cryuf6was6c7275i3wwfvoolbryd.onion/)]-  One-Time-Secret sharing platform with symmetric 256bit AES encryption in the browser
- [Farside](https://farside.hackliberty.org) - a smart redirecting gateway for various frontend services 

---
<div align="center">

### **Archives**

</div>

An open source collection of archives  suitable for offline hosting, online hosting, and git mirroring. Please download, mirror, and share to help fight against censorship and internet memory-holing. 

<div align="center">

*Views and opinions expressed in these archives do not necessarily reflect those of Hack Liberty, contributors, or partners.*

</div>

- [r/Conspiracy Archive](https://reddit.conspiracy.hackliberty.org/) [[Tor](http://c6imawxshxailtv3vq5eupegagjafxtn2p7vn2aq6jgv5hf23ajqpdyd.onion/)] - 34,579 posts and 276,632 comments from August 15, 2008 through October 15, 2018
- [r/Pizzagate Archive](https://reddit.pizzagate.hackliberty.org/) [[Tor](http://nidwi72khwbtqqlrz4iuqpeyk3vcb5fmbyxz53ihzdowdb6s3bt76nyd.onion/)] - 2,294 posts and 37,870 comments from November 7 to November 22, 2016
- [v/Conspiracy Archive](https://voat.conspiracy.hackliberty.org/) [[Tor](http://ff46cowzqxdvyhradnwzdx4dndhykxnxjkjp5yugc3dy7vi3xapingyd.onion/)] - 42,505 posts and 159,856 comments from November 11, 2016 through December 25, 2020
- [v/Pizzagate Archive](https://voat.pizzagate.hackliberty.org/) [[Tor](http://kl3w2cm5l3a4e7bvihb7gxezckejrwsshuivxtm2hflogyugqw2pceyd.onion/)] - 40,446 posts and 685,330 comments from November 11, 2016 through December 25, 2020 

---

<div align="center">

## **Donations and Transparency**

*Please consider donating to help us pay for servers and infrastructure. We operate 100% out of our own pocket and any donations will help pay for server costs!*

|![](/assets/img/donations_xmr_wallet.png)                |
|:--------------:|
| <mark>**Monero (XMR)**</mark> |
**`881ayjjExYVhyqQBQFxdY6aQC5J5Ys3JNfvxC1r5WNwSVK3ysD4Sn6GfUbNf1JkhMEJWj11mNvzCW9XZLpyWkjHx6EftAXU`**
**Tor** - [click here](http://65bsisadnxvw4kfz7h7a3jwcyenrhluuj3kd5toslfzxbk5q4m3wy6qd.onion/anonpay/?ticker_to=xmr&network_to=Mainnet&address=881ayjjExYVhyqQBQFxdY6aQC5J5Ys3JNfvxC1r5WNwSVK3ysD4Sn6GfUbNf1JkhMEJWj11mNvzCW9XZLpyWkjHx6EftAXU&donation=True&amount=1.0&name=hackliberty.org&description=donation+to+hackliberty.org&ticker_from=xmr&network_from=Mainnet) to donate with cryptocurrencies other than Monero over Tor
**Clearnet** - [click here](https://trocador.app/anonpay/?ticker_to=xmr&network_to=Mainnet&address=881ayjjExYVhyqQBQFxdY6aQC5J5Ys3JNfvxC1r5WNwSVK3ysD4Sn6GfUbNf1JkhMEJWj11mNvzCW9XZLpyWkjHx6EftAXU&donation=True&amount=1.0&name=hackliberty.org&description=donation+to+hackliberty.org&ticker_from=xmr&network_from=Mainnet) to donate with cryptocurrencies other than Monero over Clearnet

---

**Current number of donations received**: `6`

---

**Operating Costs**: $250 a month / $3100 a year

</div>

---

<div align="center">

## **Hack Liberty Simplex Community**

</div>

Anyone that agrees to our [Code of Conduct](https://git.hackliberty.org/hackliberty.org/hackliberty.org-legal/src/branch/main/code-of-conduct.md) is welcome to join our Simplex [Hack Liberty Community Room](https://simplex.chat/contact#/?v=2-7&smp=smp%3A%2F%2FesPsfRFGZd2TRyKijJDorCMo3Ld-QD8Cq8ASx8qrY_Q%3D%40simplex.hackliberty.org%2F0XZlyIDKbEoLW0WfnPecTJzi_boCwyFq%23%2F%3Fv%3D1-3%26dh%3DMCowBQYDK2VuAyEA8LCHTUdVcA_pLHrNkLE_GEuh0QeuLyZuI-2m01Qe23k%253D%26srv%3Dgstc5w42xawazcr4txrcyhitmkhiyu2vkkwy2xhwovbhlapzrccjeyad.onion&data=%7B%22groupLinkId%22%3A%223Ypi4wDI0VhGvVDx7e6jAQ%3D%3D%22%7D) and our [Simplex server](https://simplex.hackliberty.org), a decentralized, metadata resistant alternative to Matrix! Incognito profiles welcome!


### **Simplex Servers**
- **Hack Liberty SMP Server**
    - `smp://esPsfRFGZd2TRyKijJDorCMo3Ld-QD8Cq8ASx8qrY_Q=@simplex.hackliberty.org,gstc5w42xawazcr4txrcyhitmkhiyu2vkkwy2xhwovbhlapzrccjeyad.onion`

- **Hack Liberty XFTP Server**
    - `xftp://DfK0yVcc9P5NgfaRR4retNWDDTKFa9g_NqF11maM87Q=@xftp.hackliberty.org,kf25i7slt6skypu47j5kzl4s4nlt3aw3baiocanygf6gprrrbft4dyqd.onion:5233`

### **Simplex Rooms**

- **Hack Liberty Community Room** 
    - https://simplex.chat/contact#/?v=2-7&smp=smp%3A%2F%2FesPsfRFGZd2TRyKijJDorCMo3Ld-QD8Cq8ASx8qrY_Q%3D%40simplex.hackliberty.org%2F0XZlyIDKbEoLW0WfnPecTJzi_boCwyFq%23%2F%3Fv%3D1-3%26dh%3DMCowBQYDK2VuAyEA8LCHTUdVcA_pLHrNkLE_GEuh0QeuLyZuI-2m01Qe23k%253D%26srv%3Dgstc5w42xawazcr4txrcyhitmkhiyu2vkkwy2xhwovbhlapzrccjeyad.onion&data=%7B%22groupLinkId%22%3A%223Ypi4wDI0VhGvVDx7e6jAQ%3D%3D%22%7D
- **Anonymity, Privacy, Security** 
   - https://simplex.chat/contact#/?v=2-7&smp=smp%3A%2F%2Fhejn2gVIqNU6xjtGM3OwQeuk8ZEbDXVJXAlnSBJBWUA%3D%40smp16.simplex.im%2FrgPeBKj6Xiuaoxd9JGqBGpzaAB5SoG5O%23%2F%3Fv%3D1-4%26dh%3DMCowBQYDK2VuAyEAVfpughIGRUgY3MZ8HkTJNiK9EzRTWxviu1OBGLKibAw%253D%26q%3Dc%26srv%3Dp3ktngodzi6qrf7w64mmde3syuzrv57y55hxabqcq3l5p6oi7yzze6qd.onion&data=%7B%22groupLinkId%22%3A%22qgBb-DTgIkuQG-Z0v2oRKg%3D%3D%22%7D
- **Esoterica**
   - https://simplex.chat/contact#/?v=2-7&smp=smp%3A%2F%2Fh4MewB8U5RQCbzAPSPlCgd47MlhBtQhYeP4Bc5YZs3U%3D%40smp1.asriyan.me%2FSbK_9pzaUoGxJOsnrgGpGNufAZr1wq-p%23%2F%3Fv%3D1-3%26dh%3DMCowBQYDK2VuAyEAU8l9NkFrVWXXCflWAh5YSbCOVquJYg6fmR-hoJEW7wA%253D%26srv%3Dqtwucjx45dohja6v3qpygchtyj2dxdt2srtcglc22wrfxgxb44b4u2ad.onion&data=%7B%22groupLinkId%22%3A%2235Jw-e6VYrf0YYQcasBL7w%3D%3D%22%7D
---

## **Privacy and Security**
### **Sites and Articles**
- [Anonymous Planet](https://anonymousplanet.org/) - a community contributed online guide to anonymity written for activists, journalists, scientists, lawyers, whistle-blowers, and good people being oppressed, censored, harassed anywhere
- [Privacy Guides](https://www.privacyguides.org/) [[Tor](http://www.xoe4vn5uwdztif6goazfbmogh6wh5jc4up35bqdflu6bkdc5cas5vjqd.onion/en/)] - a non-profit, socially motivated website that provides information for protecting your data security and privacy
- [Extreme Privacy 5th Edition](https://annas-archive.org/md5/1c339a709bd766730df1433d103cee71) - Michael Bazzell has helped hundreds of celebrities, billionaires, and everyday citizens disappear completely from public view
- [Nihilism OPSEC Blog](https://blog.nowhere.moe) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/)] - ultimately, this blog aims to showcase that technology, when used correctly, can allow one to transcend any limitation. be it to transcend surveillance, centralisation, deanonymization, lack of security. any ability that we have as humans, such as privacy, decentralisation, anonymity, security, plausible deniability can be protected and enhanced by using the correct technology.
- [Dig Deeper](https://digdeeper.club) [[Tor](http://5essxguxi5enurgtuquvrjuvikss4gc5lbhmtz57cq4cedqx5tqvaxqd.onion/)] - a diverse range of articles focused on software privacy, technology critiques, societal issues, video game recommendations, and reviews, emphasizing the importance of digital security, ethical software choices, and critical perspectives on contemporary societal challenges
- [Shadow Wiki](https://wiki.shadow.lifestyle) [[Tor](http://abrx6wcpzkfpwxb5eb2wsra2wnkrv2macdtkpnrepswodz5jxd4schyd.onion/index.xhtml)] - a resource dedicated to exploring topics related to nanonymity, privacy, security, and anonymity, while also delving into hardware, software, politics, religion, and obscure or esoteric knowledge, with a focus on sustainability and quality in production
 - [Spyware Watchdog](https://spyware.neocities.org) [[Tor](http://spywareitdaiuyfo2sqb5vsg7mek5cjabdr73luhnda57t2hyuzg7yyd.onion/)] - this website classifies spyware programs, so that users can be more aware of what they install
- [Anonymous Land](https://web.archive.org/web/20240308135041/https://anonymousland.org/) - a community dedicated to providing anonymity enhancing guides and services
- [No Trace Project](https://www.notrace.how/) [[Tor](http://i4pd4zpyhrojnyx5l3d2siauy4almteocqow4bp2lqxyocrfy6prycad.onion/)] - no trace, no case. a collection of tools to help anarchists and other rebels understand the capabilities of their enemies, undermine surveillance efforts, and ultimately act without getting caught
- [Anarsec: Tech Guides for Anarchists](https://www.anarsec.guide) [[Tor](http://uwb25d43nnzerbozmtviwn7unn7ku226tpsjyhy5n4st5cf3d4mtflqd.onion)] - tech and opsec guides for anarchists
- [OfficerCIA ](https://officercia.mirror.xyz/) - various tools and articles for OpSec, written with a preference for practical usability
- [PrivSec](https://privsec.dev/) - articles written with a practical approach to privacy and security
- [Defending against Stylometric attacks](https://seirdy.one/posts/2022/07/09/stylometric-fingerprinting-redux/) [[Tor](http://wgq3bd2kqoybhstp77i3wrzbfnsyd27wt34psaja4grqiezqircorkyd.onion/posts/2022/07/09/stylometric-fingerprinting-redux/)] - stylometric fingerprinting analyzes unique writing style (i.e., it uses stylometry) to identify the author of a work. it’s one of the most common techniques for de-anonymization, used by adversaries ranging from trolls to law enforcement
- [Prism Break](https://web.archive.org/web/20240605062917/https://prism-break.org/en/) - opt out of global data surveillance programs like prism, xkeyscore and tempora.
- [The New Oil](https://thenewoil.org/) [[Tor](http://vyrgfx4jz2lnejqduons56ph5xtsrtaoo7ovny53dd7okyzhfsgkzbad.onion/)] - the beginner’s guide to data privacy & cybersecurity
- [Techlore](https://www.techlore.tech) -  a small team educating people about digital rights, privacy, security, digital control, and other important topics to push the world towards a safer internet
- [Into the Crypt](https://0xacab.org/optout/into-the-crypt) [[Tor](http://wmj5kiic7b6kjplpbvwadnht2nh2qnkbnqtcv3dyvpqtz7ssbssftxid.onion/optout/into-the-crypt)] - the art of anti-forensics
- [Advanced Privacy and Anonymity Using VMs, VPN’s, Tor](https://www.ivpn.net/privacy-guides/advanced-privacy-and-anonymity-part-1/) - a series of guides that explains how to obtain vastly greater freedom, privacy and anonymity through compartmentalization and isolation through nested chains of VPNs and Tor
- [How to create anonymous Telegram and Signal accounts without a phone](https://web.archive.org/web/20230603151721/https://agorism.blog/anarkio/anonymous-telegram-account) - a guide for using Whonix & Anbox to create anonymous mobile accounts without a phone
- [EFF Surveillance Self-Defense](https://ssd.eff.org/) - surveillance self-defense is a digital security guide that teaches you how to assess your personal risk from online spying. it can help protect you from surveillance by those who might want to find out your secrets, from petty criminals to nation states

### **Android**
- [A brief and informal analysis of F-Droid security](https://web.archive.org/web/20220111103132/https://wonderfall.dev/fdroid-issues/) - a write-up emphasizing major security issues with F-Droid
- [Android Tips](https://privsec.dev/os/android-tips/) - list of tips for buying and using Android phones
- [Android](https://madaidans-insecurities.github.io/android.html) - common ways in which people worsen the security model of android

### **Secure Messengers**
- [The Guide to Peer-to-Peer, Encryption, and Tor: New Communication Infrastructure for Anarchists](https://itsgoingdown.org/the-guide-to-peer-to-peer-encryption-and-tor-new-communication-infrastructure-for-anarchists/) - an exhaustive anarchist overview and guide to various apps and tech that utilize peer-to-peer and encryption
- [Secure Communications Comparison](https://web.archive.org/web/20240304042637/https://wiki.wired.rehab/index.php?title=Secure_Communications) - communicating securely over the internet is a must. this article compares available and actively-developed projects that are used for secure communications
- [Signal Privacy Concerns (2019)](https://web.archive.org/web/20230708054922/https://github.com/privacytools/privacytools.io/issues/779) - arguments against the popular secure messenger signal
- [A security analysis comparison between Signal, WhatsApp and Telegram [PDF]](https://web.archive.org/web/20250308001852/https://eprint.iacr.org/2023/071.pdf) - a security analysis comparison between the three popular instant messaging apps. The analysis will focus on the encryption protocols used by each app and the security features they offer
- [Wire (and Signal) use privacy-hostile Amazon AWS](https://web.archive.org/web/20221006232343/https://github.com/wireapp/wire/issues/265) - wire (and signal) are centralized on amazon's aws... there are substantial privacy and ethical issues with this
- [XMPP: An Under-appreciated Attack Surface](https://web.archive.org/web/20211206193118/https://bishopfox.com/blog/xmpp-underappreciated-attack-surface) - a demonstration for why XMPP is of interest to penetration testers, security researchers, and defenders
- [Wiretapping the largest Russian XMPP server](https://web.archive.org/web/20250510154826/https://notes.valdikss.org.ru/jabber.ru-mitm/) - xmpp (jabber) instant messaging protocol encrypted tls connection wiretapping (man-in-the-middle attack) of jabber[.]ru (aka xmpp[.]ru) service’s servers on hetzner and linode hosting providers in germany
- [XMPP: Admin-in-the-middle](https://web.archive.org/web/20211215132539/https://infosec-handbook.eu/articles/xmpp-aitm/) - in our opinion, you can’t refer to xmpp-based messaging as “privacy-friendly” as long as you don’t control all xmpp servers. an xmpp administrator (or any other server-side party) can inject arbitrary messages, modify address books, and log passwords in cleartext
- [What a malicious Matrix homeserver admin can do](https://web.archive.org/web/20250417075605/https://blog.erethon.com/blog/2022/07/13/what-a-malicious-matrix-homeserver-admin-can-do/) - potential passive and active attacks from malicious homeserver admins
- [Matrix? No, thanks.](https://hackea.org/notas/matrix.html) - matrix keeps growing. even the french government decided to use it. however, many free software activists refuse to use it
- [Session's Lack of Perfect Forward Security](https://github.com/oxen-io/session-desktop/issues/2338) - "we don't have any current plans to reintroduce pfs"
- [Matrix Metadata Leakage](https://web.archive.org/web/20210202175947/https://serpentsec.1337.cx/matrix) - exactly what metadata Matrix leaks and why
- [Matrix linked Amdocs found tapping South African cell phones](https://www.news24.com/news24/spy-cables-were-israeli-spies-tapping-sa-cellphones-20150430) - south african agents wrote in a 2009 document that they suspected that israel’s secret service, mossad, was using israeli software giant amdocs to eavesdrop on mobile phone conversations and gather data
- [Why Not Matrix?](https://web.archive.org/web/20230907134535/https://telegra.ph/why-not-matrix-08-07) - 22 reasons why not to use matrix

### **Desktop**
- [Desktop Linux Hardening](https://privsec.dev/os/desktop-linux-hardening/) - a guide that intermediate to advanced Linux users can reasonably follow to set up and maintain hardened  security configurations
- [Linux](https://madaidans-insecurities.github.io/linux.html) - an article debunking common misunderstandings on desktop Linux's security model.
- [Linux Hardening Guide](https://madaidans-insecurities.github.io/guides/linux-hardening.html) - how to harden Linux as much as possible for security and privacy
- [Choosing Your Desktop Linux Distribution](https://privsec.dev/os/choosing-your-desktop-linux-distribution/) - privacy and security considerations when choosing a Linux distribution
- [security-misc](https://www.kicksecure.com/wiki/Security-misc) - configurations to enhance Linux security
- [The Linux Security Circus: On GUI isolation](https://blog.invisiblethings.org/2011/04/23/linux-security-circus-on-gui-isolation.html) - article detailing the lack of GUI-level isolation in Linux, and how it nullifies all Linux desktop security
- [Re: X11 -> Root? (Qubes square rooted)](https://seclists.org/dailydave/2010/q3/29) - criticisms of the Qubes security model

### **Tor and VPNs**
- [VPN - a Very Precarious Narrative](https://overengineer.dev/blog/2019/04/08/very-precarious-narrative.html) - criticisms for VPN use
- [Commercial VPN Use Cases](https://privsec.dev/knowledge/commercial-vpn-use-cases/)  - realistics use cases for VPNs
- [Don’t use VPN services](https://gist.github.com/joepie91/5a9909939e6ce7d09e29) - a case for ditching VPN use
- [You want Tor Browser … not a VPN](https://web.archive.org/web/20220228214912/https://matt.traudt.xyz/posts/2019-10-17-you-want-tor-browser-not-a-vpn/) - use case comparisons betwen Tor and VPN use
- [IPVanish “No-Logging” VPN Led Homeland Security to Comcast User](https://web.archive.org/web/20180605204833/https://torrentfreak.com/ipvanish-no-logging-vpn-led-homeland-security-to-comcast-user-180505/) - an article detailing the time IPVanish doxed a customer to Homeland Security
- [Is Tor Trustworthy and Safe?](https://restoreprivacy.com/tor/) - an article detailing considerations and cons when using Tor

### **General**
- [Security and Privacy Advice](https://madaidans-insecurities.github.io/security-privacy-advice.html) - security and privacy advice for desktop, mobile, browser, messengers, email, passwords, 2FA, and social media.
- [Despite DoH and ESNI, with OCSP, web activity is insecure and not private](https://web.archive.org/web/20200204235444/http://blog.seanmcelroy.com/2019/01/05/ocsp-web-activity-is-not-private/) - how OCSP responses are a privacy nightmare
- [Badness Enumeration](https://privsec.dev/knowledge/badness-enumeration/) - why badness enumeration as a concept is flawed and some examples of its failings in practice
- [The Six Dumbest Ideas in Computer Security](https://web.archive.org/web/20250512180540/http://www.ranum.com/security/computer_security/editorials/dumb/) - default permit, badness enumeration, penetrate and patch, hacking is cool, educating users, action is better than inaction
- [Threat Modeling](https://privsec.dev/knowledge/threat-modeling/) - the first task a person should do when taking steps to protect their privacy and security
- [The right thing for the wrong reasons: FLOSS doesn’t imply security](https://seirdy.one/posts/2022/02/02/floss-security/) [[Tor](http://wgq3bd2kqoybhstp77i3wrzbfnsyd27wt34psaja4grqiezqircorkyd.onion/posts/2022/02/02/floss-security/)] - source unavailability doesn’t imply insecurity, and source availability doesn’t imply security
- [FLOSS Security](https://privsec.dev/knowledge/floss-security/) - while source code is critical for user autonomy, it isn’t required to evaluate software security or understand run-time behavior
- [Two types of privacy](https://seirdy.one/posts/2022/06/25/two-types-of-privacy/) [[Tor](http://wgq3bd2kqoybhstp77i3wrzbfnsyd27wt34psaja4grqiezqircorkyd.onion/posts/2022/06/25/two-types-of-privacy/)] - two main approaches to privacy: “tracking reduction” and “tracking evasion”
- [Recovering redacted information from pixelated videos](https://positive.security/blog/video-depixelation) - image/video blurring methods and their weaknesses
- [Let’s Enhance! How we found @rogerkver’s $1,000 wallet obfuscated private key](https://medium.com/free-code-camp/lets-enhance-how-we-found-rogerkver-s-1000-wallet-obfuscated-private-key-8514e74a5433) - by overcoming blurring techniques 
- [Email (In)security](https://qua3k.github.io/security/email/) - email is an inherently insecure protocol, conceived at a time when security was an afterthought

### **Fingerprinting Articles**
- [NetworkManager Minor Hardening](https://wanderingcomputerer.gitlab.io/guides/tips/nm-hardening/) - MAC address randomization, removing static hostname to prevent hostname broadcast, and disabling sending hostname to DHCP server
- [How CSS Alone Can Help Track You](https://web.archive.org/web/20220526102640/https://matt.traudt.xyz/posts/2016-09-04-how-css-alone-can-help-track-you/) - how CSS can fingerprint with javascript disabled
- [Browser Tracking](https://madaidans-insecurities.github.io/browser-tracking.html) - misguided ways in which people attempt to improve their privacy when browsing the web
- [Don’t update NTP – stop using it](https://blog.hboeck.de/archives/863-Dont-update-NTP-stop-using-it.html) - arguements for why NTP has to die

---
### **Fingerprinting Tests**
- [TorZillaPrint](https://arkenfox.github.io/TZP/tzp.html) - comprehensive, all-in-one, fingerprinting test suite
- [No-JS fingerprinting](https://github.com/fingerprintjs/blog-nojs-fingerprint-demo/) - demonstration of how fingerprinting can occur even in the absence of JavaScript
- [CSS Fingerprint](https://github.com/OliverBrotchie/CSS-Fingerprint) - exploiting CSS to collect various characteristics about the visitor
- [CreepJS](https://abrahamjuliot.github.io/creepjs/) - creepy device and browser fingerprinting
- [Kloak](https://www.whonix.org/wiki/Keystroke_Deanonymization#Kloak) - Kloak is a Keystroke Anonymization Tool
- [AudioContext Fingerprint](https://audiofingerprint.openwpm.com/) - tests browser-fingerprinting using the AudioContext and Canvas API
- [Available Fonts](https://orleika.github.io/available-fonts/) - gets available fonts on browser without flash
- [Browser Fingerprinting](https://niespodd.github.io/browser-fingerprinting/) - analysis of Bot Protection systems with available countermeasures 
- [BrowserLeaks](https://browserleaks.com/) - a gallery of web technologies security testing tools
- [Canvas Test](https://canvasblocker.kkapsner.de/test/test.html) - checks if the addon CanvasBlocker can be detected by websites
- [CSS Exfil Vulnerability Tester](https://www.mike-gualtieri.com/css-exfil-vulnerability-tester) - test to see if your browser is vulnerable to Cascading Style Sheets (CSS) data leakage
- [Device Info](https://www.deviceinfo.me/) - a web browser security testing, privacy testing, and troubleshooting tool
- [DNS Cookie Demonstration](http://dnscookie.com/) - uses DNS caches as a side-channel to identify related network flows
- [EFF: Cover Your Tracks](https://coveryourtracks.eff.org/) - understand how easy it is to identify and track your browser based on how it appears to websites
- [Epic Tracker](https://epictracker.vercel.app/) - fingerprinting demo with some automated lookups using modern Javascript APIs
- [Extension Fingerprints](https://z0ccc.github.io/extension-fingerprints/) - detecting Chrome extensions by fetching web accessible resources
- [Firefox Addon Detector](https://thehackerblog.com/addon_scanner/) - tracking 400+ firefox addons through chrome:// URI trickery!
- [Iphey](https://iphey.com/) - Browser Fingerprinter
- [Mouse Wheel Tracking Test](http://jcarlosnorte.com/assets/fingerprint/) - fingerprint  based on tracking your mouse's wheel 
- [Nothing Private](https://www.nothingprivate.ml/) - proof of concept to show any website can identify and track you
- [PicassAuth](https://plaperdr.github.io/morellian-canvas/Prototype/webpage/picassauth.html) - canvas fingerprinting
- [Pixelscan](https://pixelscan.net/) - basically a bot check
- [Privacy Check](https://privacycheck.sec.lrz.de/index.html#) - this website aims to focus on each fingerprinting technique in detail
- [scheme flooding](https://github.com/fingerprintjs/external-protocol-flooding) - this vulnerability uses information about installed apps on your computer to assign you a permanent unique identifier even if you switch browsers, use incognito mode, or use a VPN.
- [SuperCookie](https://supercookie.me/) - uses favicons to assign a unique identifier to website visitors. this ID can be stored almost persistently and cannot be easily cleared by the user
- [Webgl Fingerprinting](https://webbrowsertools.com/webgl-fingerprint/) - uses different techniques to recognize whether a browser extension is spoofing the webgl fingerprint
- [Zardaxt.py](https://github.com/NikolaiT/zardaxt) - TCP/IP fingerprinting for VPN and Proxy Detection

---
## **Surveillance Technology**
- [Ears and Eyes](https://www.notrace.how/earsandeyes/) - searchable database of cases of physical surveillance devices (microphones, cameras, location trackers) hidden by law enforcement and intelligence agencies to surveil people or groups engaged in subversive activities
- [Bugged Planet](https://buggedplanet.info/index.php?title=Main_Page) - a wiki about signals intelligence (SIGINT), communication intelligence (COMINT), tactical and strategical measures used to intercept communications and the vendors and governmental and private operators of this technology 
- [Harris: Wide Area Airborne Motion Imagery](https://farside.hackliberty.org/https://youtube.com/watch?v=ptSeU-OnI8E) - wide-area motion imagery offers persistent, real-time surveillance for enhanced situation awareness through an intelligent, airborne sensor system
- [CRI LodeStar Wide Area Motion Imagery (WAMI)](https://farside.hackliberty.org/https://youtube.com/watch?v=gM8OlvF_g6s) - a demonstration of cri lodestar wide area motion imagery (wami) system
- [Harris: Locate GPS Jamming](https://farside.hackliberty.org/https://youtube.com/watch?v=XMpBxrNaV84) -  harris signal sentry 1000 is a gps interference detection and geolocation solution. it provides a web-based visualization tool to support timely and effective actionable intelligence.
- [Harris: Material Identification](https://web.archive.org/web/20220711210128/https://www.l3harris.com/all-capabilities/material-identification) - harris material identification technology enables remote sensing systems to detect, identify and geolocate the presence of solid materials and gasses – on earth and in the atmosphere
- [Elbit Systems / SPECTRO XR](https://farside.hackliberty.org/https://youtube.com/watch?v=Nps40JREIDk) - spectro xr integrates a wide range of digital imaging, high-definition optical sensors and advanced lasers, providing simultaneous multi-spectral observation capabilities and enabling ultra-long-range detection. 
- [Police thermal imaging finds cannabis factory ](https://farside.hackliberty.org/https://youtube.com/watch?v=ByI6ItVXTB8) - It was a case of being caught red handed when the West Midlands Police helicopter found this cannabis factory using its thermal imaging camera
- [The Stingray: How Law Enforcement Can Track Your Every Move](https://farside.hackliberty.org/https://youtube.com/watch?v=wzSgLpNrr2E) - a "cell site simulator" initially developed for military use, Stingrays have made their way into local police and sheriff's departments around the country
- [How Police Cameras Recognize and Track You](https://farside.hackliberty.org/https://youtube.com/watch?v=9Xg-7FfLIVw) - wired spoke with several experts about the explosion of surveillance technology, how police use it, and what the dangers might be. as tech advances, street cameras can now employ facial recognition and even connect to the internet. what does this mean for the future of privacy? 
- [How China’s Surveillance Is Growing More Invasive](https://farside.hackliberty.org/https://youtube.com/watch?v=Oo_FM3mjBCY) - analysis of over 100,000 government bidding documents found that China’s ambition to collect digital and biological data from its citizens is more expansive and invasive than previously known
- [Homeland Security Uses AI Tool to Analyze Social Media of U.S. Citizens and Refugees](https://web.archive.org/web/20240811025658/https://www.vice.com/en/article/dhs-uses-ai-tool-babel-x-babel-street-social-media-citizens-refugees/) - babel x may provide to analysts a target’s name, date of birth, address, usernames, email address, phone number, social media content, images, IP address, Social Security number, driver’s license number, employment history, and location data based on geolocation tags and also cell phone gps tracking

---
## **Cypherpunk Resources**

### **Free Your Mind**
- [The End of All Evil - Jeremy Locke](https://forum.hackliberty.org/t/the-end-of-all-evil/42) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-end-of-all-evil/42)] - how to dismantle false beliefs in authority as a means to achieve true freedom and prosperity
- [Crypto Agorism: Free Markets for a Free World](https://forum.hackliberty.org/t/crypto-agorism-free-markets-for-a-free-world/33) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/crypto-agorism-free-markets-for-a-free-world/33)] - how cryptocurrencies are a tool to achieve economic freedom by bypassing traditional financial and state controlled systems
- [Videos to Free Your Mind](https://forum.hackliberty.org/t/videos-to-free-your-mind/109) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/videos-to-free-your-mind/109)] - a selection of thought-provoking videos that delve into themes of anarchy, conspiracy, and the occult, aiming to challenge conventional beliefs and inspire viewers to question mainstream narratives while exploring alternative perspectives on society and knowledge
- [Infographics to Free Your Mind](https://forum.hackliberty.org/t/infographics-to-free-your-mind/58) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/infographics-to-free-your-mind/58)] - infographics that cover freedom and liberty, cypherpunk ideals of digital privacy, anarchy, natural law, mind control, occultism, and the influence of secret societies like the Illuminati and conspiracy theories
- [Memes to Free Your Mind](https://forum.hackliberty.org/t/memes-to-free-your-mind/56) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/memes-to-free-your-mind/56)] - explore themes of freedom and liberty, highlighting autonomy and self-determination, while also addressing cypherpunk ideals of digital privacy and encryption; they touch on anarchy, natural law, mind control, and occultism, and examine the role of memes in shaping public perception and alternative narratives
- [Quotes to Free Your Mind](https://forum.hackliberty.org/t/quotes-to-free-your-mind/61) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/quotes-to-free-your-mind/61)] - quotes from great thinkers that seek truth and challenge authority
- [Second Realm: Book on Strategy](https://forum.hackliberty.org/t/second-realm-book-on-strategy/164) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/second-realm-book-on-strategy/164)] - a book on how to establish second realms or autonomous zones
- [The Aristocracy of Action](https://forum.hackliberty.org/t/the-aristocracy-of-action/40) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-aristocracy-of-action/40)] - what it will take to build a cypherpunk breakaway society
- [Why cryptoanarchy is not a revolutionary movement](https://forum.hackliberty.org/t/why-cryptoanarchy-is-not-a-revolutionary-movement/41) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/why-cryptoanarchy-is-not-a-revolutionary-movement/41)] - an interview describing how cryptoanarchy is about building parallel systems on top of existing power structures
- [Aquinas On Liberty](https://forum.hackliberty.org/t/aquinas-on-liberty/60) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/aquinas-on-liberty/60)] - asserts that misunderstanding true liberty, based on reason and morality, has weakened society, necessitating a unified understanding to resist oppressive forces.

### **Cypherpunk Toolkits**
- [the autistic cypherpunk toolkit](https://git.hackliberty.org/Git-Mirrors/autistic-cypherpunk-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/autistic-cypherpunk-toolkit)] - notes and resources on cryptography, cryptocurrencies, and cypherpunk living for the autistic cypherpunk anons out there
- [the contrarian cypherpunk toolkit](https://git.hackliberty.org/Git-Mirrors/the-contrarian-cypherpunk-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/the-contrarian-cypherpunk-toolkit)] - notes and resources on how to rebuild our outdated systems (e.g., anarchy, state, utopia, technoliber*, plurality, daos, tokenomics, furtarchy)
- [decentralized cryptography toolkit](https://git.hackliberty.org/Git-Mirrors/decentralized-cryptography-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/decentralized-cryptography-toolkit)] - notes and resources on applied cryptography for decentralized protocols, both for privacy and optimization (e.g., zk, tees, fhe, mpc, provers)
- [decentralized protocols toolkit](https://git.hackliberty.org/Git-Mirrors/decentralized-protocols-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/decentralized-protocols-toolkit)] - notes and resources on protocols (e.g., consensus, mechanism design, incentives, game theory, da) 
- [mev toolkit](https://git.hackliberty.org/Git-Mirrors/mev-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/mev-toolkit)] - notes and resources on blockchain's maximal extractable value: on the hope of non-predatory free markets in the metaweb 
- [blockchain data engineering toolkit](https://git.hackliberty.org/Git-Mirrors/blockchain-data-engineering-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/blockchain-data-engineering-toolkit)] - cypherpunk blockchain infrastructure projects and resources (e.g., ethereum event scanner, on chain analysis, data pipelines, etc.)
- [blockchains security toolkit](https://git.hackliberty.org/Git-Mirrors/blockchains-security-toolkit) [[Tor](vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/blockchains-security-toolkit)] - notes and resources on decentralized protocols (e.g. oracles, bridges, honeypots, cryptography, decompilers, static analysis, bug bounties)
- [backend and orchestration toolkit](https://git.hackliberty.org/Git-Mirrors/backend-and-orchestration-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/backend-and-orchestration-toolkit)] - code and notes on cloud microservices, orchestration (e.g., cloud, terraform, kubernetes, docker, data engineering)
- [quantum computing toolkit](https://git.hackliberty.org/Git-Mirrors/quantum-computing-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/quantum-computing-toolkit)] - notes and resources on quantum computing (e.g., quantum information, post-quantum cryptography, implications on post-quantum and blockchains)
- [sec-pentesting toolkit](https://git.hackliberty.org/Git-Mirrors/sec-pentesting-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/sec-pentesting-toolkit)] - a decade of resources for security researchers: pentesting, CTF, wargames, cryptography, forensics, reverse engineering, IoCs, botnets, cloud hacking, linux hacking, steganography, vulnerabilities, etc.
- [shell-whiz-toolkit](https://git.hackliberty.org/Git-Mirrors/shell-whiz-toolkit) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/shell-whiz-toolkit)] - bt3gl's personal resources and scripts over the years (e.g., dotfiles, shell, zsh, git, tmux, vim, vpn, chef, scripts, configs, rooting devices)

### **Crypto Agorism**
- [Agorist Class Theory](https://web.archive.org/web/20250317211433/https://agorism.eu.org/docs/AgoristClassTheory.pdf) - a left libertarian approach to class conflict analysis
- [Agorist Journal](https://web.archive.org/web/20250505053825/https://agorist.xyz/) - axxi amplifies dissonance and brings voices together from across the political spectrum. it is also a call for unity. axxi resurrects the unifying vision of an agorist alliance beyond the surveillance state
- [An Agorist Primer](https://web.archive.org/web/20250406130047/https://kopubco.com/pdf/An_Agorist_Primer_by_SEK3.pdf) - a comprehensive guidebook that explores the principles and practical aspects of agorism, a strategy for achieving a stateless society through peaceful market activities
- [An Argument Against KYC Bitcoin](https://archive.org/details/an-argument-against-kyc-bitcoin) - presents a compelling case against the use of Know Your Customer (KYC) requirements in the Bitcoin ecosystem, discussing how it creates honeypots of user information and gives rise to a permissioned social system
- [Building a circular economy with Monero](https://web.archive.org/web/20221129052807/https://monerochan.news/article/4) - the future belongs to digital marketplaces that run on private digital cash. Anarkio explains why he built Bitejo and why he is into Monero
- [How Monero Uniquely Enables Circular Economies](https://web.archive.org/web/20250524134523/https://localmonero.co/knowledge/monero-circular-economies)- explores how Monero, a privacy-focused cryptocurrency, has distinct characteristics that make it particularly well-suited for enabling circular economies
- [It’s Time To Join The Bitcoin Circular Economy](https://web.archive.org/web/20210318230456/https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular-economy) - free men don’t ask permission to transact with each other and don’t rely on the legacy third-party financial institutions that operate in tandem with State authorities
- [KYC-free Bitcoin Circular Economies](https://web.archive.org/web/20220102233311/https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies) - KYC-free bitcoin circular economies are perhaps the most pure free markets in the world, enabled by the first truly free sound money
- [New Libertarian Manifesto](https://web.archive.org/web/20210201181116/https://theanarchistlibrary.org/library/samuel-edward-konkin-iii-new-libertarian-manifesto) - a concise and influential guide outlining the principles of agorism, a libertarian philosophy advocating for the practice of counter-economics
- [The Last, Whole Introduction to Agorism](https://web.archive.org/web/20221101133241/https://theanarchistlibrary.org/library/samuel-edward-konkin-iii-the-last-whole-introduction-to-agorism) - Agorism, unfortunately, needs an introduction...

### **Crypto Anarchy**
- [Fifty things to do NOW](https://libertyunderattack.com/fifty-things-now-free-unashamed) - the following is a highly valuable list of 50 things to do NOW, taken from the terrific crypto-agorist website, Anarplex. Find out what YOU can do RIGHT NOW to help build the Second Realm/counter-economy/vonu minicultures
- [How to buy, earn and spend KYC-free Bitcoin and Monero (without ID or a bank account)](https://web.archive.org/web/20221018015844/https://agorism.blog/anarkio/buy-earn-and-spend-bitcoin-and-monero) - discover methods for purchasing, acquiring, and using Bitcoin and Monero without the need for KYC (Know Your Customer) verification
- [How to survive outside of the state with Crypto Agorism](https://web.archive.org/web/20230321231929/https://agorism.blog/anarkio/survival-outside-the-state) - fair and free markets for food, jobs, housing, healthcare, mail, sim cards & more – no government ID or state permit required
- [KYC Will Not Protect Us, Bitcoin And Encryption Will](https://web.archive.org/web/20210918020555/https://bitcoinmagazine.com/culture/bitcoin-will-protect-your-personal-data) - as regulators attempt to institute KYC and AML rules at the peril of our personal data, Bitcoin and encryption offer salvation.
- [Roadblocks to obtaining government-issued ID](https://web.archive.org/web/20230321231712/https://agorism.blog/anarkio/roadblocks-to-obtaining-government-id) - state's ID monopoly and KYC regulations stop millions from accessing necessities like finances, jobs, healthcare, and more. No alternative methods or appeal processes exist if the state refuses to issue an ID. This exclusionary system prevents individuals, regardless of skills or efforts, from entering and regularizing their situation as adults
- [Second Realm Ideas](https://forum.hackliberty.org/t/second-realm-ideas/184) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/second-realm-ideas/184)] - a collection of Second Realm ideas (KYC-free agorist services)
- [The dangers of “decentralized” ID systems](https://web.archive.org/web/20230321235957/https://agorism.blog/anarkio/dangers-of-decentralized-id-systems) - many of these protocols rely on government ID as a base layer (as proof of name, age or address, referred to as “Verifiable credentials”). In this system, users are required to upload a video with their passport or national ID card. After this, their name, age or address is marked as verified. This reliance on government IDs means that DIDs cannot protect users against state surveillance
- [The rarely discussed dangers of KYC and what you can do about it](https://forum.hackliberty.org/t/the-rarely-discussed-dangers-of-kyc-in-crypto-and-daily-life-and-what-you-can-do-about-it/185) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-rarely-discussed-dangers-of-kyc-in-crypto-and-daily-life-and-what-you-can-do-about-it/185)] - many people don't talk about it but unfortunately it's everywhere. Without KYC documents, opportunities to freely participate in the economy and even survive are limited. KYC is required for jobs, housing, healthcare and more. In addition, many people can't complete KYC, as they don't have any government-issued IDs and therefore must rely on the gray market to have access to necessities such as finding work, apartments and medicine. This text clarifies the rarely discussed reasons why KYC is harmful and what can be done about it.
- [The Vision of Cryptoanarchy](https://farside.hackliberty.org/https://youtube.com/watch?v=TQmBoicjPXo) - talk given at "the web of phronesis" in 2020, a conference by the institute of network society, china academy of art.
- [True Names Not Required: On Identity and Pseudonymity in Cyberspace](https://web.archive.org/web/20220309030125/https://www.citadel21.com/true-names-not-required) - the cypherpunks recognized that a free society can not function if identity is rigid and known to all. A free society requires the option to selectively reveal yourself to the world, or not reveal yourself at all
- [Why the state’s monopoly on identity is more dangerous than Google, Facebook and Microsoft](https://forum.hackliberty.org/t/why-the-state-s-monopoly-on-identity-is-more-dangerous-than-google-facebook-and-microsoft/183) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/why-the-state-s-monopoly-on-identity-is-more-dangerous-than-google-facebook-and-microsoft/183)] - while the tracking by Google, Facebook and Microsoft is definitely disturbing and can even put people in danger, the state’s data economy is even worse. Many people don’t talk about this, even though it affects millions of people’s daily lives
- [The Slavery Contract](https://forum.hackliberty.org/t/the-slavery-contract/280) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-slavery-contract/280)] - argues that modern governments impose a system of laws that obligate citizens to comply with various regulations, effectively creating a master-servant dynamic where individuals have little say in the terms of their governance
- [The Occult Arena of Law](https://forum.hackliberty.org/t/the-occult-arena-of-law/55) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-occult-arena-of-law/55)] - It is said that all the world’s a stage and us men and women merely players. In the world of law and legalism that old saying is paramount. But to what extent does the public realize its interaction with the modern legal systems of today is merely an elaborate performance, rigged to subjugate you through mystical utterances and titles?

### **Manifestos**
- [The GNU Manifesto (1985)](https://forum.hackliberty.org/t/the-gnu-manifesto-1985/86) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-gnu-manifesto-1985/86)] - document written by Richard Stallman, outlining the goals and principles of the GNU Project, which aimed to develop a free and open-source operating system
- [The Hacker's Manifesto (1986)](https://git.hackliberty.org/Philosophy/1986-The-Hackers-Manifesto) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Philosophy/1986-The-Hackers-Manifesto)] - a declaration expressing the hacker culture's belief in the freedom of information and opposition to restrictions on computer use
- [The Crypto Anarchist Manifesto (1988)](https://forum.hackliberty.org/t/the-crypto-anarchist-manifesto-1988/85) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-crypto-anarchist-manifesto-1988/85)] - advocates for the widespread use of cryptography and anonymous digital currency to uphold privacy and undermine government control
- [A Cypherpunks Manifesto (1993)](https://forum.hackliberty.org/t/a-cypherpunks-manifesto-1993/87) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/a-cypherpunks-manifesto-1993/87)] - emphasizes the importance of cryptography as a tool for political and social change, promoting privacy, anonymity, and individual freedom
- [Crypto Anarchy and Virtual Communities (1994)](https://forum.hackliberty.org/t/crypto-anarchy-and-virtual-communities-1994/92) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/crypto-anarchy-and-virtual-communities-1994/92)] - explores the concept of crypto anarchy where technology facilitates individuals to operate beyond traditional societal boundaries using encryption and virtual communities
- [The Cyphernomicon (1994)](https://forum.hackliberty.org/t/the-cyphernomicon-1994/95) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-cyphernomicon-1994/95)] - a guidebook outlining the principles of cypherpunks, focusing on the role of cryptography in protecting privacy and empowering individuals against surveillance
- [A Declaration of the Independence of Cyberspace (1996)](https://forum.hackliberty.org/t/a-declaration-of-the-independence-of-cyberspace-1996/89) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/a-declaration-of-the-independence-of-cyberspace-1996/89)] - asserts the autonomy of the online world from governments and urges policymakers to stay out of cyberspace regulation
- [A Cyberpunk Manifesto (1997)](https://forum.hackliberty.org/t/a-cyberpunk-manifesto-1997/91) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/a-cyberpunk-manifesto-1997/91)] - articulates the ethos of the cyberpunk subculture, highlighting dystopian themes, the merging of humans with technology, and resistance against authority
- [b-money (1998)](https://git.hackliberty.org/Philosophy/1998-b-money) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Philosophy/1998-b-money)] - proposed a digital currency system that utilized cryptographic proofs instead of centralized authorities to achieve secure and decentralized transactions
- [Bit-gold (2005)](https://forum.hackliberty.org/t/bit-gold-2005/88) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/bit-gold-2005/88)] - describes a decentralized digital currency system, based on proof of work and cryptography, that influenced the development of Bitcoin
- [State and Terrorist Conspiracies and Conspiracy as Governance (2006)](https://forum.hackliberty.org/t/state-and-terrorist-conspiracies-and-conspiracy-as-governance-2006/93) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/state-and-terrorist-conspiracies-and-conspiracy-as-governance-2006/93)] -  sheds light on the power dynamics between conspiratorial governance and the whistleblowers
- [Guerilla Open Access Manifesto (2008)](https://forum.hackliberty.org/t/guerilla-open-access-manifesto-2008/94) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/guerilla-open-access-manifesto-2008/94)] - advocates for open access to academic knowledge and criticizes the current publishing system, calling for civil disobedience to achieve a free and open flow of information
- [The libbitcoin Manifesto (2013)](https://forum.hackliberty.org/t/the-libbitcoin-manifesto-2013/90) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-libbitcoin-manifesto-2013/90)] - outlines the principles and goals behind the libbitcoin project, emphasizing a focus on privacy, security, decentralization, and empowering individuals in their control over digital assets
- [The Techno-Optimist Manifesto (2023)](https://forum.hackliberty.org/t/the-techno-optimist-manifesto-2023/363) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/the-techno-optimist-manifesto-2023/363)] - We are told that technology is on the brink of ruining everything. But we are being lied to, and the truth is so much better

### **Podcasts**
- [Agora Podcast](https://anchor.fm/mortified-penguin) - your home for agorism, localism, radical decentralization, and anti-authoritarian concepts
- [Bit Buy Bit](https://ungovernablemisfits.com) - a podcast for ungovernable misfits who choose Bitcoin, opensource software, privacy and freedom
- [Citadel Dispatch](https://citadeldispatch.com) - an interactive live show about bitcoin and freedom tech. Dispatch is audience funded without ads or paywalls. Live unedited shows with direct audience participation via youtube, twitch, and our matrix chats.
- [Cypherpunk Bitstream](https://taz0.org/bitstream) - A cypherpunk and cryptoanarchy focused podcast
- [Monero Talk](https://farside.hackliberty.org/https://youtube.com/c/monerotalk) - weekly conversations with topical guests to understand what the Monero cryptocurrency is today and what it hopes to become
- [Opt Out](https://www.optoutpod.com) [[Tor](http://optoutkoplzfgs7wl3gkg5nmtrrs7ki6ljcguf7c4w7rdsrtozlghxad.onion/)] - a podcast that interviews individuals who are passionate about privacy, explores their reasons for valuing privacy, discusses the tools and techniques they use, and aims to inspire others to prioritize personal privacy and data control
- [Truth for the Commoner](https://tftc.io) - your gateway to a world of truth, knowledge, and empowerment in the digital age. We are dedicated to bringing you content that spans the realms of bitcoin, economics, privacy, freedom technology, and culture
- [Vonu Podcast](https://vonupodcast.com) - the podcast making you invulnerable to the coercion of the State and the servile society

### **Projects & Organizations**
- [Annas Archive](https://annas-archive.org/) - the world’s largest open-source open-data library. mirrors sci-hub, library genesis, z-library, duxiu, and more. 51,064,327 books, 98,551,617 papers — preserved forever.
- [Cryptome](https://web.archive.org/web/20250518072135/http://www.cryptome.org/) - cryptome welcomes documents for publication that are prohibited by governments worldwide, in particular material on freedom of expression, privacy, cryptology, dual-use technologies, national security, intelligence, and secret governance—open, secret and classified documents—but not limited to those
- [CensorBib](https://censorbib.nymity.ch/) - an archive of selected academic research papers on Internet censorship
- [Electronic Frontier Foundation](https://www.eff.org) - the leading nonprofit organization defending civil liberties in the digital world. Founded in 1990, EFF champions user privacy, free expression, and innovation through impact litigation, policy analysis, grassroots activism, and technology development. EFF's mission is to ensure that technology supports freedom, justice, and innovation for all people of the world.
- [Paralelní Polis](https://web.archive.org/web/20250424160545/https://paralelnipolis.cz/en/) - paralelní polis is a one-­of-­a-­kind nonprofit organization founded by members of a contemporary-­art group ztohoven. the mission of paralelní polis is to provide the technology and education people need to participate in an independent society and protect their individual freedom. the vision of paralelní polis is a world where people have the opportunity to disengage from the state and live in a free society
- [Privacy Guides](https://www.privacyguides.org/) - a non-profit, socially motivated website that provides information for protecting your data security and privacy
- [Tor Project](https://www.torproject.org/) - fights every day for everyone to have private access to an uncensored internet, and Tor has become the world's strongest tool for privacy and freedom online
- [Veilid](https://veilid.com/) - framework that allows anyone to build a distributed, private app. Veilid gives users the privacy to opt out of data collection and online tracking. Veilid is being built with user experience, privacy, and safety as our top priorities. It is open source and available to everyone to use and build upon
- [WikiLeaks](https://wikileaks.org/) - wikiLeaks specializes in the analysis and publication of large datasets of censored or otherwise restricted official materials involving war, spying and corruption. It has so far published more than 10 million documents and associated analyses

### **Volunteer**
- [Write OPSEC blogposts for 10 to 50 euros (in Monero) per blogpost](https://xmrbazaar.com/listing/UsWA/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/contribute/)] - earn crypto anonymously by writing opsec articles (privacy, anonymity, deniability)
- [Improve the Darknet Lantern software for 10 to 50 euros (in Monero) per feature](https://xmrbazaar.com/listing/ho4M/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/darknetlantern/)] - looking for contributors to help improve the Darknet Lantern sofware, preferably those well versed in python and PHP programming
- [Host an Anna's Archive Mirror](https://software.annas-archive.li/AnnaArchivist/annas-archive) - to increase the resiliency of Anna’s Archive, we’re looking for volunteers to run mirrors
- [Seed Anna's Archive Torrents](https://annas-archive.org/torrents) - support free access to information by sharing and maintaining torrents from Anna's Archive
- [Host an IPFS Node](https://docs.ipfs.tech/concepts/nodes/#delegate-routing-node) - help to distribute and store files in a decentralized manner using the InterPlanetary File System (IPFS)
- [Host a Tor Node](https://community.torproject.org/relay/) [[Tor](http://xmrhfasfg5suueegrnc4gsgyi2tyclcy5oz7f5drnrodmdtob6t2ioyd.onion/relay/index.html)] - contribute to online privacy and anonymity by running a node in the Tor network, allowing users to access the internet securely
- [Host a full Monero Node](https://sethforprivacy.com/guides/run-a-monero-node-advanced/) [[Tor](http://sfprivg7qec6tdle7u6hdepzjibin6fn3ivm6qlwytr235rh5vc6bfqd.onion/guides/run-a-monero-node-advanced/)] - help secure the Monero network and support private transactions by operating a full node for the Monero cryptocurrency
- [Host a full Bitcoin Node](https://bitcoin.org/en/full-node) - contribute to the security and resilience of the Bitcoin network by hosting a full node that validates and verifies transactions
- [Host a Privacy Front-End Service](https://git.hackliberty.org/Awesome-Mirrors/alternative-front-ends) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/alternative-front-ends)] - host alternative open-source interfaces for popular internet platforms like YouTube and Twitter, designed to prioritize user privacy and data protection
- [Host Privacy Respecting Services](https://git.hackliberty.org/Awesome-Mirrors/Awesome-Privacy) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/Awesome-Privacy)] - contribute to online privacy and data protection by hosting and providing services that prioritize user confidentiality and respect their privacy
- [Offer Services as a Proxy Merchant](https://dys2p.com/en/konzept.html) [[Tor](http://dys2pwwos5w5kez2chufdk3b3oyj5n4n4iiseyke2tzuqahgvmovloyd.onion/en/konzept.html)] - proxy merchants offer a service where individuals without government ID can access financial services, rentals, and receive mail through a shell company or trust established by someone with valid identification, providing prepaid debit cards, a PO box for mail, and the ability to rent under the company name
- [Offer P2P Crypto Trading](https://blog.nowhere.moe/opsec/haveno-cashbymail/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/haveno-cashbymail/)] - enable users to trade crypto directly without intermediaries and KYC exchanges
- [Start a Second Realm](https://forum.hackliberty.org/t/second-realm-ideas/184) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/second-realm-ideas/184)] - create a community-driven alternative society that emphasizes self-sufficiency, resilience, and voluntary cooperation outside of traditional structures

---
## **Cryptocurrency Resources**
### **NoKYC Guides**
- [How to buy non KYC Bitcoin](https://archive.org/details/how-to-use-text-verified-to-buy-non-kyc-bitcoin-at-a-bitcoin-atm) - how to buy non-KYC bitcoin from a Bitcoin ATM
- [Fiat to Monero using Haveno DEX (Reto)](https://blog.nowhere.moe/opsec/haveno-client-f2f/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/haveno-client-f2f/)] - In this tutorial we're going to cover how to do a Fiat to Monero trade from the brand new (and long awaited!) Haveno Decentralised Exchange, using the Face-to-Face (F2F) payment method. **NOTE: I don't recommend face-to-face as a payment option of choice, this is just to try out how a basic trade Haveno DEX works!**
- [How to buy non KYC Monero using Haveno DEX (Reto)](https://blog.nowhere.moe/opsec/haveno-client-f2f/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/haveno-client-f2f/)] - cash by mail on the Haveno Decentralised Exchange
- [Haveno DEX dispute resolution](https://blog.nowhere.moe/opsec/haveno-arbitrator/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/haveno-arbitrator/)] - how the Haveno DEX handles FIAT -> XMR trade disputes
- [How to get your first Monero](https://blog.nowhere.moe/opsec/monerofirst/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/monerofirst/)] - a few different strategies for obtaining your first Monero
- [How to buy non KYC Monero](https://archive.org/details/how-to-buy-non-kyc-monero) - how to buy non-KYC bitcoin at a Bitcoin ATM and convert to Monero using Bisq
- [How to buy your first non KYC bitcoin and monero](https://archive.org/details/how-to-buy-your-first-non-kyc-bitcoin-and-monero/) - a presentation by Heady Wook
- [How to buy non KYC bitcoin with a US Postal Money Order on Bisq](https://archive.org/details/how-to-buy-non-kyc-bitcoin-with-a-us-postal-money-order) - how to buy non-KYC bitcoin using a US Postal Money Order on Bisq
- [How to use a certified mail receipt to buy non KYC Bitcoin](https://archive.org/details/how_to_use_a_certified_mail_receipt) - using a Certified Mailing Receipt when sending a money order for buying non-KYC Bitcoin on Bisq
- [How to accept non-KYC bitcoin with BTCPay Jungle and Electrum](https://archive.org/details/how-to-accept-non-kyc-bitcoin-with-btcpay-jungle-and-electrum) - how to start receiving non-KYC bitcoin payments in exchange for online goods and services

### **Crypto Services Directories**
- [KYCNOT.ME](https://kycnot.me/) [[Tor](http://kycnotmezdiftahfmc34pqbpicxlnx3jbf5p7jypge7gdvduu7i6qjqd.onion/)] - directory for No-KYC exchanges and services
- [Monerica](https://monerica.com/) [[Tor](http://67w4f46nfrfigohl4ypgpo7cjnftl57rorha3zmn4xkll5jvmi6mi4qd.onion/)] - exhaustive list of Monero and related resources
- [AcceptedHere](https://web.archive.org/web/20230326144715/https://acceptedhere.io/catalog/company/)- directory for online and offline businesses accepting cryptocurrency
- [CryptWerk](https://cryptwerk.com/) - directory with companies, websites, shops, services that accept crypto
- [Bitcoin Bookmarks](https://bitcoinbookmarks.com/)-directory for premium crypto websites sorted by quality
- [Lightning Network Stores](https://lightningnetworkstores.com/) - directory for stores that accept bitcoin through the lightning network

### **Automated Exchanges**
- [Trocador.app](https://trocador.app) [[Tor](http://trocadorfyhlu27aefre5u7zri66gudtzdyelymftvr4yjwcxhfaqsid.onion)] - a privacy-focused exchange aggregator

### **Peer to Peer Exchanges**
- [Haveno Reto](https://blog.nowhere.moe/opsec/haveno-client-f2f/) [[Tor](http://blog.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/opsec/haveno-client-f2f/)] - Haveno (pronounced ha‧ve‧no) is an open source platform to exchange Monero for fiat currencies like USD, EUR, and GBP or other cryptocurrencies like BTC, ETH, and BCH.
- [Bisq](https://bisq.network/) - buy and sell bitcoin or monero for fiat using the Bisq peer-to-peer network
- [Robosats](https://robosats.com) [[Tor](http://robosats6tkf3eva7x2voqso3a5wcorsnw34jveyxfqi2fu7oyheasid.onion/)]- a peer to peer exchange for converting bitcoin to national currencies via lightning hold invoices
- [HodlHodl](https://hodlhodl.com/) - global peer to peer bitcoin trading platform

### **Peer to Peer Crypto Marketplaces and Freelancing**
- [XMRBazaar](https://xmrbazaar.com/) - a monero marketplace for advertising goods and services that has a non-custodial escrow system so that both buyer and seller are sure the money is actually there
    - username: **beta** 
    - password: **tester**
- [TukanMarket](https://tukan.market/) - a bitcoin marketplace for advertising goods and services
- [Bitcoin P2P Marketplace](https://t.me/bitcoinp2pmarketplace) - a bitcoin P2P marketplace telegram channel
- [Monero Market](https://reddit.com/r/moneromarket) - a reddit marketplace for buying and selling items with Monero
- [Microlancer](https://microlancer.io/) - a freelancing platform designed for quick milestones and secure escrowed payments using the lightning network

### **Crypto VPS & Domain Services**
- [1984](https://1984.hosting) - high quality web hosting and VPS service provider that respects and protects the civil and political rights of customers
- [Incognet](https://incognet.io) [[Tor](http://incoghostm2dytlqdiaj3lmtn7x2l5gb76jhabb6ywbqhjfzcoqq6aad.onion/)] - privacy respecting web host and VPS provider
- [Njalla](https://njal.la/) [[Tor](https://njallalafimoej5i4eg7vlnqjvmb6zhdh27qxcatdn647jtwwwui3nad.onion/)] - anonymous domain name registrar and VPS provider 

### **Crypto VPN Services**
-  [Mullvad](https://mullvad.net/) [[Tor](http://o54hon2e2vj6c7m3aqqu6uyece65by3vgoxxhlqlsvkmacw6a7m7kiad.onion/)] - a Sweden-based VPN provider with a long-standing reputation for privacy and efficiency
- [IVPN](https://www.ivpn.net/) - a Gibraltar-registered service that has been preserving customers privacy since 2009

### **Crypto Credit Cards**
- [FCF Pay](https://fcfpay.com) - Swap cryptocurrencies for virtual prepaid crypto debit gift cards
- [Ezzocard](https://ezzocard.com/) - purchase virutal prepaid cards that work anywhere in the world
- [Pay with Moon](https://paywithmoon.com/) - bitcoin/lighting backed virtual credit cards
- [The Bitcoin Company](https://thebitcoincompany.com/) - buy Visa cards, gift cards, phone top-ups, and more

### **Crypto Gift Cards**
- [CardCoins](https://www.cardcoins.co/) - convert prepaid gift cards into digital currency at over 80,000 locations nationwide
- [Cake Pay](https://cakepay.com/) - buy gift cards and related products with virtual assets for use at millions of merchants worldwide

### **Crypto eSim Providers**
- [SilentLink](https://silent.link/) [[Tor](http://silentlnit5ryavvfz5vw7s4qg62jujd666lnc4tg2chj64zuwuqtvqd.onion/)] - a global mobile and phone number provider for  eSIM-compatible smartphones

### **Crypto SMS Providers**
- [JMP](https://jmp.chat) - allows you to send and receive text messages, pictures, phone calls, and voicemails using a Jabber (XMPP) client
- [TextVerified](https://textverified.com)- SMS verficiation service that accepts Crypto
- [SMSPVA](https://smspva.com/) - offers a large list of SMS verification numbers you can rent with BTC
- [JuicySMS](https://juicysms.com/) - verify online accounts with temporary real phone numbers
- [SMS4Sats](https://sms4sats.com/) [[Tor](http://sms4sat6y7lkq4vscloomatwyj33cfeddukkvujo2hkdqtmyi465spid.onion/)] - offers SMS verification numbers online

---

## **Notable Git Projects**

### Mirrors & Collections
- [awesome-mirrors](https://git.hackliberty.org/Awesome-Mirrors) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors)] - a curated collection of resources and awesome git repos
- [awesome-piracy](https://git.hackliberty.org/Awesome-Mirrors/awesome-piracy) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/awesome-piracy)] - a curated list of awesome warez and piracy links
- [alternative-front-ends](https://git.hackliberty.org/Awesome-Mirrors/alternative-front-ends) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/alternative-front-ends)] - alternative open source front-ends for popular internet platforms
- [awesome-privacy](https://git.hackliberty.org/Awesome-Mirrors/Awesome-Privacy) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/Awesome-Privacy)] - a curated list of services and alternatives that respect your privacy because PRIVACY MATTERS  
- [farside](https://git.hackliberty.org/Git-Mirrors/farside) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/farside)] - A smart redirecting gateway for various frontend services


### Crypto & Blockchain
- [Crypto-OpSec-SelfGuard-RoadMap](https://git.hackliberty.org/Awesome-Mirrors/Crypto-OpSec-SelfGuard-RoadMap) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/Crypto-OpSec-SelfGuard-RoadMap)] - defi, blockchain and crypto-related opsec research
- [tornado-cash-docs](https://git.hackliberty.org/Git-Mirrors/tornado-cash-docs) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tornado-cash-docs)] - tornado cash is a fully decentralized non-custodial protocol allowing private crypto transactions
- [tornado-core](https://git.hackliberty.org/Git-Mirrors/tornado-core) [[Tor](vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tornado-core)] - tornado cash. non-custodial private transactions on Ethereum
- [tornado-cli](https://git.hackliberty.org/Git-Mirrors/tornado-cli) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tornado-cli)] - command line interface to make transactions in Tornado Cash protocol
- [tornado-relayer](https://git.hackliberty.org/Git-Mirrors/tornado-relayer) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tornado-cli)] - relayer for Tornado cash
- [xmr-btc-swap](https://git.hackliberty.org/Git-Mirrors/xmr-btc-swap) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tornado-cli)] - bitcoin to monero cross-chain atomic swap
- [xmrmemes](https://git.hackliberty.org/Git-Mirrors/xmrmemes) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/xmrmemes)] - Meme site for Monero. You can submit memes and get paid.

### Security, Privacy & Anonymity
- [KryptEY](https://git.hackliberty.org/Git-Mirrors/KryptEY) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/KryptEY)] - Android keyboard for secure E2EE communication through the signal protocol in any messenger. Communicate securely
- [blue-merle](https://git.hackliberty.org/Git-Mirrors/blue-merle) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/blue-merle)] - enhance anonymity and reduces forensic traceability of the GL-E750 Mudi 4G mobile wi-fi router
- [mat2-web](https://git.hackliberty.org/Git-Mirrors/mat2-web) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/mat2-web)] - A web version of mat2
- [into-the-crypt](https://git.hackliberty.org/Git-Mirrors/into-the-crypt) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/into-the-crypt)] - the art of anti-forensics
- [firefox-user.js](https://git.hackliberty.org/Git-Mirrors/firefox-user.js) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/firefox-user.js)] - a comprehensive user.js template for configuration and hardening 
- [thunderbird-user.js](https://git.hackliberty.org/Git-Mirrors/thunderbird-user.js) - comprehensive user.js template for configuration and hardening
- [shaker](https://git.hackliberty.org/Git-Mirrors/shaker) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/shaker)] - unman's collection salt stack scripts for Qubes OS
- [qusal](https://git.hackliberty.org/Git-Mirrors/qusal) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/qusal)] - Salt Formulas for Qubes OS

### Hardware, Firmware & Device Security
- [portapack-mayhem](https://git.hackliberty.org/Git-Mirrors/portapack-mayhem) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/portapack-mayhem)] - custom firmware for the HackRF+PortaPack H1/H2
- [tillitis-key](https://git.hackliberty.org/Git-Mirrors/tillitis-key) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/tillitis-key)] - board designs, FPGA verilog, firmware for TKey, the flexible and open USB security key

### Operating Systems & Platforms
- [GrapheneOS](https://github.com/GrapheneOS) - security and privacy focused mobile OS with Android app compatibility
- [graphene-os-server-infrastructure](https://git.hackliberty.org/Git-Mirrors/graphene-os-server-infrastructure) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/graphene-os-server-infrastructure)] - useful to study for server hardening configs

### Alternative & Decentralized Platforms
- [alternative-search-engines-and-video-hosting](https://forum.hackliberty.org/t/alternative-search-engines-media-directory/323) [[Tor](http://yw7nc56v4nsudvwewhmhhwltxpncedfuc43qbubj4nmwhdhwtiu4o6yd.onion/t/alternative-search-engines-media-directory/323)] - alternative platforms for news and video sharing 
- [onionshare](https://git.hackliberty.org/Git-Mirrors/onionshare) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/onionshare)] - Securely and anonymously share files, host websites, and chat with friends using the Tor network
- [RetroShare](https://git.hackliberty.org/Git-Mirrors/RetroShare) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/RetroShare)] - RetroShare is a Free and Open Source cross-platform, Friend-2-Friend and secure decentralised communication platform.

### Infrastructure, Kernel & Memory
- [constellation](https://git.hackliberty.org/Git-Mirrors/constellation) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/constellation)] - constellation shields entire Kubernetes clusters from the (cloud) infrastructure using confidential computing
- [EndGame v3](https://git.hackliberty.org/Git-Mirrors/EndGame0) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/EndGame0)] - onion service DDOS prevention front system
- [hardened_malloc](https://git.hackliberty.org/Git-Mirrors/hardened_malloc) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/hardened_malloc)] - hardened memory allocator designed for modern systems
- [plague-kernel](https://git.hackliberty.org/Git-Mirrors/plague-kernel) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/plague-kernel)] - minimal linux kernel for a reduced attack surface

### Reference & Command Line Resources
- [the-book-of-secret-knowledge](https://git.hackliberty.org/Awesome-Mirrors/the-book-of-secret-knowledge) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/the-book-of-secret-knowledge/)] - a collection of inspiring lists, manuals, cheatsheets, blogs, hacks, one-liners, cli/web tools, and more
- [Linux-Bash-Commands](https://git.hackliberty.org/Awesome-Mirrors/Linux-Bash-Commands) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Awesome-Mirrors/Linux-Bash-Commands)] - ultimate list of Linux bash commands, cheatsheet and resources

### Networking & Distributed Systems
- [farside](https://git.hackliberty.org/Git-Mirrors/farside) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/farside)] - A smart redirecting gateway for various frontend services
- [mat2-web](https://git.hackliberty.org/Git-Mirrors/mat2-web) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/mat2-web)] - A web version of mat2
- [darknet-lantern](https://git.hackliberty.org/Git-Mirrors/darknet-lantern) [[Tor](http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/darknet-lantern/)] - a minimalistic Peer to Peer Decentralised Search Engine for the Darknet
- [4get](https://git.hackliberty.org/Git-Mirrors/4get) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/4get)] - 4get is a proxy search engine that doesn't suck

### Archives
- [annas-archive](https://software.annas-archive.li/AnnaArchivist/annas-archive) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/annas-archive)] - the world’s largest open-source open-data library. mirrors sci-hub, library genesis, z-library, duxiu, and more. 51,064,327 books, 98,551,617 papers — preserved forever.
- [red-arch](https://git.hackliberty.org/Git-Mirrors/red-arch) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/red-arch)] - The goal of this project is to provide a framework for archiving websites and social media - with a particular focus on subreddits - and creating compilations of information in ways that are very easy for non-tech-savy people to consume, copy, and distribute.
- [snowdenarchive](https://git.hackliberty.org/Git-Mirrors/snowden-archive) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/snowden-archive)] - A collection of all documents leaked by former NSA contractor and whistleblower Edward Snowden
- [911-truth-resources](https://git.hackliberty.org/c0mmando/911-truth-resources) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/c0mmando/911-truth-resources)] - A curated selection of 911 truth  resources

### Adversarial Frameworks
- [advmlthreatmatrix](https://git.hackliberty.org/Git-Mirrors/advmlthreatmatrix) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/advmlthreatmatrix)] - Adversarial Threat Landscape for AI Systems
- [DISARMframeworks](https://git.hackliberty.org/Git-Mirrors/DISARMframeworks) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/DISARMframeworks)] - DISARM is a framework designed for describing and understanding *"disinformation"* incidents

### Decentralized Messaging, Communications, and Radio
- [GhostNet](https://git.hackliberty.org/Git-Mirrors/GhostNet) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/GhostNet)] - a collection of communications networks set up to allow users around the world to exchange information without relying on pre-established infrastructure
- [TC2-BBS-mesh](https://git.hackliberty.org/Git-Mirrors/TC2-BBS-mesh) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/TC2-BBS-mesh)] - A BBS server for Meshtastic for posting bulletins, sending mail to users, and channel directory
- [TC2-APRS-BBS](https://git.hackliberty.org/Git-Mirrors/TC2-APRS-BBS) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/TC2-APRS-BBS)] - This is the TC²-BBS for APRS. The system allows for basic mail messages for specific users and bulletin boards
- [Reticulum](https://git.hackliberty.org/Git-Mirrors/Reticulum) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/Reticulum)] - The cryptography-based networking stack for building unstoppable networks with LoRa, Packet Radio, WiFi and everything in between
- [LXMF](https://git.hackliberty.org/Git-Mirrors/LXMF) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/LXMF)] - A universal, distributed and secure messaging protocol for Reticulum
- [Sideband](https://git.hackliberty.org/Git-Mirrors/Sideband) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/Sideband)] - LXMF client for Android, Linux and macOS allowing you to communicate with people or LXMF-compatible systems over Reticulum networks using LoRa, Packet Radio, WiFi, I2P, or anything else Reticulum supports.
- [NomadNet](https://git.hackliberty.org/Git-Mirrors/NomadNet) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/NomadNet)] - Off-grid, resilient mesh communication with strong encryption, forward secrecy and extreme privacy
- [lxmf_messageboard](https://git.hackliberty.org/Git-Mirrors/lxmf_messageboard) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/lxmf_messageboard)] - Simple message board that can be hosted on a NomadNet node, messages can be posted by 'conversing' with a unique peer, all messages are then forwarded to the message board
- [rnsh](https://git.hackliberty.org/Git-Mirrors/rnsh) [[Tor](http://vkp7367tcjpqdwwckigrdrvmwvispvbpg5rlsr2chjxvppfg7hipagyd.onion/Git-Mirrors/rnsh)] - rnsh is a command-line utility written in Python that facilitates shell sessions over Reticulum networks and aims to provide a similar experience to SSH.